STENCILFUNC(3CgFX)

NAME
StencilFunc - 3D API stencil func

USAGE
StencilFunc = int(func) StencilFunc = int3(func, ref, mask)

VALID ENUMERANTS
func: Never, Less, LEqual, LessEqual, Equal, Greater, NotEqual, GEqual, GreaterEqual, Always ref: integer value mask: integer value

DESCRIPTION
Specify the stencil test function. See the OpenGL glStencilFunc manual page for details. See the D3DRS_STENCILFUNC render state description for DirectX 9.

The standard reset callback sets the StencilFunc state to int(Always) or int3(Always, 0, 0xFFFFFFFF).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ClearStencil, StencilEnable, StencilFail, StencilFuncSeparate, StencilMask, StencilMaskSeparate, StencilOp, StencilOpSeparate, StencilPass, StencilRef, StencilTestEnable, StencilTestTwoSideEnable, StencilWriteMask, StencilZFail, TwoSidedStencilMode